Summary:       A minimalists web browser
Name:          xombrero
Version:       1.6.4
Release:       %mkrel 2
License:       ISC
Group:         Networking/WWW
URL:           http://opensource.conformal.com/wiki/xombrero 
Source:        https://opensource.conformal.com/snapshots/xombrero/%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: webkitgtk3-devel gtk+3-devel 
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel 
BuildRequires: libbsd-devel
BuildRequires: libsoup-devel 
BuildRequires: groff
BuildRequires: sed 
Obsoletes:     xxxterm 
Provides:      xxxterm 

%define gtk_version gtk+3

%description
xombrero is a minimalists web browser. It strives to be
vi-like for heavy keyboard users while maintaining traditional
web browser behavior. It is ISC licensed. 

%prep
%setup 

%build
cd linux
export CFLAGS="$RPM_OPT_FLAGS"
%{__make} GTK_VERSION=%{gtk_version} OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
export PREFIX=$RPM_BUILD_ROOT/%_prefix
cd linux
%{__make} install
cd ../

install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %SOURCE1 \
$RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png


# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=Network;GTK;X-MandrivaLinux-Internet-WebBrowsers;
Name=Xombrero
GenericName=Minimalist's Web Browser
Comment=Minimalist's Web Browser
Exec=%{name} %u
Icon=%{name}
Terminal=false
StartupNotify=true
MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;
Type=Application
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*

%changelog
* Fri Mar 17 2017 bb2 <bb2> - 1.6.4-2pclos2017
- rebuild new gnutls

* Sat Dec 05 2015 bb <bb> 1.6.4-1pclos2015
- update

* Wed Oct 30 2013 Ken <lxgator at gmail.com> 1.6.3-1pclos2013
- named changed from xxxterm to xombrero
